Package org.snpeff.binseq.indexer

# Class OverlapFilterCompareAllAll

java.lang.Object
org.snpeff.binseq.indexer.OverlapFilterCompareAllAll

All Implemented Interfaces:
  `OverlapFilter<DnaSequenceId>`

public class OverlapFilterCompareAllAll extends Object implements OverlapFilter<DnaSequenceId>
Only allow overlaps between sequences mapped to same/different partition

## Constructor Summary

Constructors
Constructor
Description
`OverlapFilterCompareAllAll()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`considerOverlap(DnaSequenceId seq1, DnaSequenceId seq2)`
Consider overlap between two sequences?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OverlapFilterCompareAllAll

public OverlapFilterCompareAllAll()

## Method Details

### considerOverlap

public boolean considerOverlap(DnaSequenceId seq1, DnaSequenceId seq2)
Consider overlap between two sequences?

Specified by:
  `considerOverlap` in interface `OverlapFilter<DnaSequenceId>`
Parameters:
  `seq1` -
  `seq2` -
Returns:
  true if sequences should be considered for overlapping